package ch.zhaw.gartenverwaltung.json;

import ch.zhaw.gartenverwaltung.types.HardinessZone;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.deser.std.StdDeserializer;

import java.io.IOException;

public class HardinessZoneDeserializer extends StdDeserializer<HardinessZone> {
    public HardinessZoneDeserializer(Class<?> vc) {
        super(vc);
    }
    public HardinessZoneDeserializer() {
        this(null);
    }

    @Override
    public HardinessZone deserialize(JsonParser parser, DeserializationContext context) throws IOException {
        HardinessZone result = null;
        try {
            result = HardinessZone.valueOf(parser.getText().toUpperCase());
        } catch (IllegalArgumentException e) {
            // TODO: Log
            System.err.println("bad growth phase type");
        }
        return result;
    }
}
